/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __platform_backtrace_h__
#define __platform_backtrace_h__

/**************************************************************************//**
	@brief Dump the program stack
*//***************************************************************************/
FE_DL_PUBLIC void feLogBacktrace(U32 skip=2,BWORD debug=TRUE);

/**************************************************************************//**
	@brief Register a built-in handler for SIGSEGV
*//***************************************************************************/
FE_DL_PUBLIC void feRegisterSegvHandler(void);

#endif /* __platform_backtrace_h__ */
